List webhook deliveries
GET/v1/agents/{agentId}/webhook_deliveries
List webhook deliveries
curl https://api.cadenya.com/v1/agents/$AGENT_ID/webhook_deliveries \
-H "Authorization: Bearer $CADENYA_API_KEY"{
"items": [
{
"data": {
"agentId": "agentId",
"attemptCount": 0,
"eventType": "OBJECTIVE_EVENT_TYPE_UNSPECIFIED",
"httpStatusCode": 0,
"lastAttemptAt": "2019-12-27T18:11:19.117Z",
"latencyMs": 0,
"objectiveEventId": "objectiveEventId",
"objectiveId": "objectiveId",
"responseContentLength": "responseContentLength",
"status": "WEBHOOK_DELIVERY_STATUS_UNSPECIFIED",
"webhookId": "webhookId",
"webhookUrl": "webhookUrl",
"errorMessage": "errorMessage",
"responseHeaders": {
"foo": "string"
}
},
"metadata": {
"id": "id",
"accountId": "accountId",
"createdAt": "2019-12-27T18:11:19.117Z",
"profileId": "profileId",
"workspaceId": "workspaceId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
}
}
],
"pagination": {
"nextCursor": "nextCursor",
"total": 0
}
}Returns Examples
{
"items": [
{
"data": {
"agentId": "agentId",
"attemptCount": 0,
"eventType": "OBJECTIVE_EVENT_TYPE_UNSPECIFIED",
"httpStatusCode": 0,
"lastAttemptAt": "2019-12-27T18:11:19.117Z",
"latencyMs": 0,
"objectiveEventId": "objectiveEventId",
"objectiveId": "objectiveId",
"responseContentLength": "responseContentLength",
"status": "WEBHOOK_DELIVERY_STATUS_UNSPECIFIED",
"webhookId": "webhookId",
"webhookUrl": "webhookUrl",
"errorMessage": "errorMessage",
"responseHeaders": {
"foo": "string"
}
},
"metadata": {
"id": "id",
"accountId": "accountId",
"createdAt": "2019-12-27T18:11:19.117Z",
"profileId": "profileId",
"workspaceId": "workspaceId",
"externalId": "externalId",
"labels": {
"foo": "string"
}
}
}
],
"pagination": {
"nextCursor": "nextCursor",
"total": 0
}
}